@font-face {
  font-family: 'Phudu';
  src: url('../fonts/Phudu-Medium.ttf') format('truetype');
}

:root {
    --color-primary-background: #82459b;
    --color-primary-foreground: #ffffff;
    --color-secondary-background: #f36f21;
    --color-secondary-foreground: #ffffff;

    --base-padding: clamp(16px, 3vmin, 40px);
    --logo-size: calc(var(--base-padding) * 4)
}

html, body {
  margin: 0;
  height: 100%;
  font-family: 'Phudu', sans-serif;
}

.corner-logo {
  position: fixed;
  bottom: var(--base-padding);
  right: var(--base-padding);
  width: auto;       /* ~10% of screen width */
  height: var(--logo-size);      /* keeps aspect ratio */
  max-height: 200px;  /* optional limit for very large screens */
  z-index: 1000;
  pointer-events: none; /* prevents blocking clicks under it */
}

.scene {
  position: relative;
  width: 100vw;
  height: 100vh;
  overflow: hidden;
}

/* Image */
.scene-image {
  width: 100%;
  height: 100%;
  object-fit: cover;
}


.hotspot {
    position: absolute;
    animation: pulse 2s infinite;
}

.hotspot-point {
    width: 30px;
    height: 30px;
    border-radius: 50%;
    background-color: none;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.3s ease;
    border: 2px solid #ffffff;
    z-index: 10;
}

@keyframes pulse {
    0% { box-shadow: 0 0 0 0 rgba(255,255,255,0.4); }
    70% { box-shadow: 0 0 0 10px rgba(255,255,255,0); }
    100% { box-shadow: 0 0 0 0 rgba(255,255,255,0); }
}

.behind {
  opacity: 0.5;
}

.behind:hover, .behind.active {
  opacity: 1;
}

.hotspot-point::before {
    content: '';
    position: absolute;
    width: 10px;
    height: 10px;
    border-radius: 50%;
    border: 0px solid #ffffff;
    background-color: #ffffff;
    transition: all 0.2s cubic-bezier(.4,0,1,1);
}
/* 
.hotspot-point:hover {
    transform: scale(1.0);
} */

.hotspot-point:hover::before, .hotspot-point.active::before {
  content: none;
}

/* .hotspot-point.active {
    background-color: hsl(22, 74%, 70%);
    transform: scale(1.2);
    border: 2px solid var(--color-secondary-background);
} */

/* .hotspot-point.active::before {
    border: 10px solid #ffffff;
    background-color: #82459b;

    transition: all 0.3s cubic-bezier(0.25, 0.8, 0.25, 1);
} */

/* .hotspot-image-flat {
  width: 25px;
  height: 25px;
  border: 2px solid var(--color-secondary-foreground);
}

.hotspot-image-flat::before {
    content: '';
    position: absolute;
    width: 10px;
    height: 10px;
    border-radius: 50%;
    background-color: var(--color-secondary-foreground);
    transition: all 0.3s ease;
} */

.hotspot-image-outdoor {
  width: 30px;
  height: 30px;
  border: 2px solid white;
}

/* .hotspot-image-outdoor:hover {
  width: 60px;
  height: 60px;
} */


.hotspot-image {
  border-radius: 50%;
  background: transparent;
  cursor: pointer;

  transform: translate(-50%, -50%) scale(1);
  transition: all 0.3s ease
}

.hotspot-image:hover, .hotspot-image.active {
  width: 60px;
  height: 60px;
  /* border: 3px solid white; */
  background-image: var(--hover-img);
  background-size: cover;
  background-position: center;
  transform: translate(-50%, -50%) scale(1.1);
}